Loading...
Searching...
No Matches
juce::FloatVectorOperations Class Reference

## Detailed Description

A collection of simple vector operations on arrays of floating point numbers, accelerated with SIMD instructions where possible and providing all methods from FloatVectorOperationsBase.

See also
  FloatVectorOperationsBase

The documentation for this class was generated from the following file:

- juce_audio_basics/buffers/juce_FloatVectorOperations.h

Inherits detail::NameForwarder< FloatVectorOperationsBase< float, int >, FloatVectorOperationsBase< float, size_t >, FloatVectorOperationsBase< double, int >, FloatVectorOperationsBase< double, size_t > >.

## Static Public Member Functions

static void JUCE_CALLTYPE | convertFixedToFloat (float *dest, const int *src, float multiplier, int num) noexcept
static void JUCE_CALLTYPE | convertFixedToFloat (float *dest, const int *src, float multiplier, size_t num) noexcept
static void JUCE_CALLTYPE | enableFlushToZeroMode (bool shouldEnable) noexcept
| This method enables or disables the SSE/NEON flush-to-zero mode.
static void JUCE_CALLTYPE | disableDenormalisedNumberSupport (bool shouldDisable=true) noexcept
| On Intel CPUs, this method enables the SSE flush-to-zero and denormalised-are-zero modes.
static bool JUCE_CALLTYPE | areDenormalsDisabled () noexcept
| This method returns true if denormals are currently disabled.

## Member Functions

## convertFixedToFloat() [1/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::convertFixedToFloat | ( | float * | dest,
|  | const int * | src,
|  | float | multiplier,
|  | int | num )

static noexcept

References JUCE_CALLTYPE.

## convertFixedToFloat() [2/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::convertFixedToFloat | ( | float * | dest,
|  | const int * | src,
|  | float | multiplier,
|  | size_t | num )

static noexcept

References JUCE_CALLTYPE.

## enableFlushToZeroMode()

void JUCE_CALLTYPE juce::FloatVectorOperations::enableFlushToZeroMode | ( | bool | shouldEnable | ) |

static noexcept

This method enables or disables the SSE/NEON flush-to-zero mode.

References JUCE_CALLTYPE.

## disableDenormalisedNumberSupport()

void JUCE_CALLTYPE juce::FloatVectorOperations::disableDenormalisedNumberSupport | ( | bool | shouldDisable = true | ) |

static noexcept

On Intel CPUs, this method enables the SSE flush-to-zero and denormalised-are-zero modes.

This effectively sets the DAZ and FZ bits of the MXCSR register. On arm CPUs this will enable flush to zero mode. It's a convenient thing to call before audio processing code where you really want to avoid denormalisation performance hits.

References JUCE_CALLTYPE.

## areDenormalsDisabled()

bool JUCE_CALLTYPE juce::FloatVectorOperations::areDenormalsDisabled | ( |  | ) |

static noexcept

This method returns true if denormals are currently disabled.

References areDenormalsDisabled(), and JUCE_CALLTYPE.

Referenced by areDenormalsDisabled().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited